# -*- coding: utf-8 -*-
# Generated by Django 1.11 on 2020-06-04 02:37
from __future__ import unicode_literals

from django.db import migrations, models
import django.db.models.deletion
import forecasts.models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='HighChartsType',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=63)),
            ],
        ),
        migrations.CreateModel(
            name='MeasurementUnit',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=200)),
                ('abbr', models.CharField(max_length=50)),
                ('color_hexcode', models.CharField(max_length=7)),
                ('opposite', models.BooleanField(default=False)),
            ],
            options={
                'ordering': ['name'],
            },
        ),
        migrations.CreateModel(
            name='ModelGraphParameter',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('model_id', models.CharField(max_length=10, validators=[forecasts.models.validate_model_id_length])),
                ('color_hexcode', models.CharField(max_length=6)),
                ('highcharts_type', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='forecasts.HighChartsType')),
            ],
        ),
        migrations.CreateModel(
            name='ResultParameter',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('namespace', models.CharField(max_length=50)),
                ('key', models.CharField(max_length=50)),
                ('name', models.CharField(max_length=200)),
                ('description', models.TextField()),
                ('measurementunit', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='forecasts.MeasurementUnit')),
            ],
            options={
                'ordering': ['key'],
            },
        ),
        migrations.CreateModel(
            name='ResultParameterLocal',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('local_name', models.CharField(max_length=200)),
                ('language_code', models.CharField(max_length=2, verbose_name='Language code')),
                ('result_parameter', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='forecasts.ResultParameter')),
            ],
        ),
        migrations.AddField(
            model_name='modelgraphparameter',
            name='resultparameter',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='forecasts.ResultParameter'),
        ),
    ]
